# 32/64bit spec-file
#
%define name rapid-photo-downloader
%define version 0.4.10
%define release %mkrel 2

Summary:        Image downloader for external devices
Summary(de):	Bilder Downloader für externe Geräte
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Graphics
License:        GPLv2+
URL:            http://www.damonlynch.net/rapid/
Source:         http://www.damonlynch.net/rapid/%{name}-%{version}.tar.xz
Patch0:		05_removed-empty-directory.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires:  python
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
Requires:   pygtk2.0
Requires:   pygtk2.0-libglade
Requires:   gnome-python-gconf
Requires:   python-imaging
Requires:   gnome-python
Requires:   python-notify
Requires:   python-kaa-imlib2
Requires:   python-dbus
Requires:   perl-Image-ExifTool
Requires:   python-hachoir-core
Requires:   ffmpegthumbnailer
Requires:   python-exiv2
Requires:   gnome-icon-theme
Obsoletes: 	%name < %version

%description
Rapid Photo Downloader is written by a photographer for professional
and amateur photographers. It can download photos from multiple memory
cards and Portable Storage Devices simultaneously. It provides a variety
of options for sub-folder creation, image renaming and backup.It does not
download images directly from a camera unless the camera is recognized as 
an external drive.

#german
%description -l de
Rapid Photo Downloader ist ein Vertreter der Unix Philosophie "ein Werkzeug
für eine Aufgabe". Wie der Name schon sagt, ist die einzige Aufgabe von Rapid
Photo Downloader das runterladen und umbenenne von Fotos, egal ob von CF oder SD Karten.
Dass spezielle von Rapid Photo Downloader dagegen ist, er kann es gleichzeitig von verschiedenen Quellen. 
Mit Rapid Photo Downloader kann man:

    * Seine Fotos in ein vordefinierten Ordner runterladen
    * Beim runterladen die Fotos gleichzeitig umbenenne.
    * Während des runterladen und umbenenne ein Backup der Fotos machen.

Rapid Photo Downloader ist überaus einfach zu konfigurieren, mit ein paar
Klicks hat man seine gewünschte Einstellungen eingerichtet und schon kann
es los gehen.

%prep
%setup -q 
%apply_patches

%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf %{buildroot}


%post
%update_icon_cache hicolor


%postun
%clean_icon_cache hicolor


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc rapid/AUTHORS rapid/ChangeLog rapid/COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/*
%{py_sitedir}/*
%{_datadir}/appdata/rapid-photo-downloader.appdata.xml
%{_datadir}/kde4/apps/solid/actions/rapid-photo-downloader.desktop

%changelog
* Tue Mar 11 2014 bb <bb> 0.4.10-2pclos2014
- update

* Sun Feb 23 2014 Ken <lxgator at gmail.com> 0.4.10-1pclos2014
- 0.4.10

* Wed Jan 22 2014 Ken <lxgator at gmail.com> 0.4.9-1pclos2014
- 0.4.9

* Sat Oct 26 2013 billybot <billybot> 0.4.7-1pclos2013
- update

* Fri Aug 16 2013 billybot <billybot> 0.4.6-2pclos2013
- update python 2.7

* Fri Jan 25 2013 Ken <lxgator at gmail.com> 0.4.6-1pclos2013
- 0.4.6

* Sun Sep 16 2012 Neal <nealbrks0 at gmail dot com> 0.4.5-1pclos2012
- process

* Sat Sep 15 2012 Ken <lxgator at gmail.com> 0.4.5-1pclos2012
- 0.4.5

* Tue May 17 2011 Ertain <sirius-c at iname.com> 0.4.0-1pclos2011
- 0.4.0

* Mon Jan 03 2011 Texstar <texstar at gmail.com> 0.3.4-1pclos2010
- 0.3.4

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.3.0-2pclos2010
- Update

* Sun Jul 11 2010 Texstar <texstar at gmail.com> 0.3.0-1pclos2010
- 0.3.0

* Sun Jun 06 2010 slick50 <lxgator@gmail.com> 0.2.2-1pclos2010
- 0.2.2

* Mon May 31 2010 slick50 <lxgator@gmail.com> 0.2.0-1pclos2010
- 0.2.0

* Sat Jan 23 2010 slick50 <lxgator@gmail.com> 0.1.3-1pclos2010
- 0.1.3

* Sat Jan 16 2010 slick50 <lxgator@gmail.com> 0.1.2-1pclos2010
- 0.1.2

* Tue Jan 05 2010 slick50 <lxgator@gmail.com> 0.1.1-1pclos2010
- 0.1.1


